//+------------------------------------------------------------------+
//|                                                 5dayBreakout.mq4 |
//|                                                        Bill Sica |
//|                                         http://www.tetsuyama.com |
//+------------------------------------------------------------------+
#property copyright "Bill Sica"
#property link      "http://www.tetsuyama.com"

#property indicator_chart_window
//---- input parameters
extern int       DAYS=5;
extern color low_color = Red;
extern color high_color = SpringGreen;
extern color up_color = Yellow;
extern color below_color = Blue;

extern int pips_up1 = 89;
extern int pips_up2 = 144;
extern int pips_up3 = 233;
extern int pips_below1 = 89;
extern int pips_below2 = 144;
extern int pips_below3 = 233;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+

int init()
  {
//---- indicators

//---- indicators

   

//----
   return(0);
  }

//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   double daily_high[20];
   double daily_low[20];
   double yesterday_close;
   double phigh,plow;
   int i=1;

//---- TODO: add your code here
ArrayResize(daily_high,DAYS);
ArrayResize(daily_low,DAYS);
ArrayInitialize(daily_high,0);
ArrayInitialize(daily_low,0);

ArrayCopySeries(daily_low, MODE_LOW, Symbol(), PERIOD_D1);
ArrayCopySeries(daily_high, MODE_HIGH, Symbol(), PERIOD_D1);

/* initialise */
plow=daily_low[1];
phigh=daily_high[1];

for(i=1;i<DAYS;i++)
{
   if(plow>daily_low[i])
   {
      plow =daily_low[i];
   }
}

for(i=1;i<DAYS;i++)
{
   if(phigh<daily_high[i])
   {
      phigh =daily_high[i];
   }
}

string strComment;
strComment = StringConcatenate("\n" + DAYS + "dayH ",phigh,"\n" + DAYS + "dayL ",plow);
Comment(strComment);



ObjectCreate("5dayHigh", OBJ_HLINE,0, CurTime(),phigh);
ObjectSet("5dayHigh",OBJPROP_COLOR,high_color);
ObjectSet("5dayHigh",OBJPROP_STYLE,STYLE_SOLID);

ObjectCreate("5dayLow", OBJ_HLINE,0, CurTime(),plow);
ObjectSet("5dayLow",OBJPROP_COLOR,low_color);
ObjectSet("5dayLow",OBJPROP_STYLE,STYLE_SOLID);

ObjectCreate("pip_up1", OBJ_HLINE,0, CurTime(),phigh + (pips_up1*Point));
ObjectSet("pip_up1",OBJPROP_COLOR,up_color);
ObjectSet("pip_up1",OBJPROP_STYLE,STYLE_SOLID);

ObjectCreate("pip_up2", OBJ_HLINE,0, CurTime(),phigh + (pips_up2*Point));
ObjectSet("pip_up2",OBJPROP_COLOR,up_color);
ObjectSet("pip_up2",OBJPROP_STYLE,STYLE_SOLID);

ObjectCreate("pip_up3", OBJ_HLINE,0, CurTime(),phigh + (pips_up3*Point));
ObjectSet("pip_up3",OBJPROP_COLOR,up_color);
ObjectSet("pip_up3",OBJPROP_STYLE,STYLE_SOLID);

ObjectCreate("pip_below1", OBJ_HLINE,0, CurTime(),plow - (pips_below1*Point));
ObjectSet("pip_below1",OBJPROP_COLOR,below_color);
ObjectSet("pip_below1",OBJPROP_STYLE,STYLE_SOLID);

ObjectCreate("pip_below2", OBJ_HLINE,0, CurTime(),plow - (pips_below2*Point));
ObjectSet("pip_below2",OBJPROP_COLOR,below_color);
ObjectSet("pip_below2",OBJPROP_STYLE,STYLE_SOLID);

ObjectCreate("pip_below3", OBJ_HLINE,0, CurTime(),plow - (pips_below3*Point));
ObjectSet("pip_below3",OBJPROP_COLOR,below_color);
ObjectSet("pip_below3",OBJPROP_STYLE,STYLE_SOLID);


ObjectsRedraw();

   return(0);
  }
//+------------------------------------------------------------------

int deinit()
  {

   
ObjectDelete("5dayHigh");
ObjectDelete("5dayLow");
ObjectDelete("pip_up1");
ObjectDelete("pip_up2");
ObjectDelete("pip_up3");
ObjectDelete("pip_below1");
ObjectDelete("pip_below2");
ObjectDelete("pip_below3");

Comment("");
return(0);
}